List owned requests

List owned requests

GET
/api/v1/data/requests

List owned requests

Authorization

headerX-API-Key<token>

Query Parameters

cursor?string

Opaque base64url cursor returned by the previous page; return unchanged.

limit?integer

Page size. Defaults to 50.

Range1 <= value <= 100
Default50
status?string
Value in"pending""running""solving_captcha""completed""failed""cancelled"

Response Body

Cursor page of tenant-owned jobs. Error body uses the documented PublicError DTO.

application/json
  1. response
data*array<|>
meta*
curl -X GET 'https://api.runharvester.com/api/v1/data/requests' \  --header "X-API-Key: ${RUNHARVESTER_API_KEY:?Set your Data API key}"
{  "id": "9a20bd58-ed33-4a5b-b63f-b52bb1a62248",  "status": "pending"}